Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Interface Setter

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BackrefPropertyAccessor.BackrefSetter, BasicPropertyAccessor.BasicSetter, DirectPropertyAccessor.DirectSetter, Dom4jAccessor.AttributeSetter, Dom4jAccessor.Dom4jSetter, Dom4jAccessor.ElementAttributeSetter, Dom4jAccessor.ElementSetter, Dom4jAccessor.TextSetter, EmbeddedPropertyAccessor.EmbeddedSetter, IndexPropertyAccessor.IndexSetter, MapAccessor.MapSetter

    public interface Setter

extends Serializable

Sets values to a particular property.

Author:
  Gavin King

Method Summary
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)
`void` | `set(Object target, Object value, SessionFactoryImplementor factory)` Set the property value from the given instance

Method Detail

### set

    void set(Object target,
             Object value,
             SessionFactoryImplementor factory)
             throws HibernateException

  Set the property value from the given instance

  Parameters:
    `target` - The instance upon which to set the given value.
    `value` - The value to be set on the target.
    `factory` - The session factory from which this request originated.
  Throws:
    `HibernateException`

### getMethodName

    String getMethodName()

  Optional operation (return null)

### getMethod

    Method getMethod()

  Optional operation (return null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.